summaryrefslogtreecommitdiffstats
path: root/ship
diff options
context:
space:
mode:
authormakefu <github@syntax-fehler.de>2013-12-30 17:36:55 +0100
committermakefu <github@syntax-fehler.de>2013-12-30 17:36:55 +0100
commit2d7276a789a9ce2062c351afd27e33021c1ce5b1 (patch)
treeb5f40fe8cf42e7d19990fd130ca284462140704b /ship
parentc4f80b7498e74352f6e79647ab4a82314f3418a7 (diff)
ship/punani: fix TODOs regarding return values
Diffstat (limited to 'ship')
-rw-r--r--ship/TODO4
-rw-r--r--ship/lib/punani5
2 files changed, 4 insertions, 5 deletions
diff --git a/ship/TODO b/ship/TODO
index b929ca02..bc522b79 100644
--- a/ship/TODO
+++ b/ship/TODO
@@ -1,5 +1,3 @@
# punani
-- error code should be false when package cannot be removed because it is not
- installed
-- error code should be false when checking if a package is installed
+- pacman cannot automagically remove packages
diff --git a/ship/lib/punani b/ship/lib/punani
index ea05a4ec..512c732c 100644
--- a/ship/lib/punani
+++ b/ship/lib/punani
@@ -70,14 +70,14 @@ punani(){
if punani_has $RES; then
info "$RES already installed, skipping"
else
- punani_install $RES || error "cannot install $RES with $PACKER"
+ punani_install $RES || die "cannot install $RES with $PACKER"
fi
;;
remove)
if ! punani_has $RES; then
info "$RES not installed, skipping"
else
- punani_remove $RES || error "cannot install $RES with $PACKER"
+ punani_remove $RES || die "cannot install $RES with $PACKER"
fi
;;
has)
@@ -85,6 +85,7 @@ punani(){
info "$RES is installed"
else
info "$RES is not installed"
+ exit 1
fi
;;
owner)